Skip to main content
POST
/
campaign
/
{campaign_id}
/
start
Start campaign
curl --request POST \
  --url https://api.staging.kathan.tech/campaign/{campaign_id}/start \
  --header 'Authorization: Bearer <token>' \
  --header 'X-User-ID: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "assistant_id": "<string>",
  "channel": "<string>",
  "phone_number_id": "<string>",
  "status": "<string>",
  "max_concurrency": 123,
  "retry_policy": {},
  "speech_settings": {
    "style": "neutral",
    "responsiveness": "balanced",
    "interruptions": "on",
    "emotions": "natural"
  },
  "assistant_name": "<string>",
  "caller_id_number": "<string>",
  "schedule_start_time": "<string>",
  "schedule_end_time": "<string>",
  "campaign_context": "<string>",
  "opening_message_template": "<string>",
  "use_returning_greeting": false,
  "use_short_term_summaries": false,
  "short_term_summaries_limit": 123,
  "machine_detection_timeout_seconds": 123,
  "recipient_list_id": "<string>",
  "recipient_list_name": "<string>",
  "recipient_list_row_count": 123,
  "counts": {},
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication.

X-User-ID
string
header
required

Required user id for API key requests.

Path Parameters

campaign_id
string
required

Response

Successful Response

id
string
required
name
string
required
assistant_id
string
required
channel
string
required
phone_number_id
string
required
status
string
required

Read-only. Server-managed: draft | running | paused | completed

max_concurrency
integer
required
retry_policy
Retry Policy · object
required
speech_settings
SpeechSettings · object
required
assistant_name
string | null
caller_id_number
string | null
schedule_start_time
string | null
schedule_end_time
string | null
campaign_context
string | null
opening_message_template
string | null
use_returning_greeting
boolean
default:false
use_short_term_summaries
boolean
default:false
short_term_summaries_limit
integer | null
machine_detection_timeout_seconds
integer | null
recipient_list_id
string | null
recipient_list_name
string | null
recipient_list_row_count
integer | null
counts
Counts · object
created_at
string | null
updated_at
string | null